<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
<title>EDMA3 Resource Manager: EDMA3_RM_Param Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.5.9 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li><a href="classes.html"><span>Data&nbsp;Structure&nbsp;Index</span></a></li>
      <li><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>EDMA3_RM_Param Struct Reference<br>
<small>
[<a class="el" href="group__Edma3RMMain.html">Interface Definition for EDMA3 Resource Manager Layer</a>]</small>
</h1><!-- doxytag: class="EDMA3_RM_Param" -->Used to Initialize the Resource Manager Instance.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="edma3__rm_8h_source.html">edma3_rm.h</a>&gt;</code>
<p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Data Fields</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="group__Edma3RMMain.html#g95ce8c6a9989cc4bbd29e0234e6ee5e4">EDMA3_RM_RegionId</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structEDMA3__RM__Param.html#5722cd299dd4712cdb9f7cf7aec869b6">regionId</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned short&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structEDMA3__RM__Param.html#f8461561ef2a4b6f432c57394b89296a">isMaster</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="structEDMA3__RM__InstanceInitConfig.html">EDMA3_RM_InstanceInitConfig</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structEDMA3__RM__Param.html#b4b422aad358309280f16027423df238">rmInstInitConfig</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structEDMA3__RM__Param.html#5f6478d1cacf5b62e3039f37c82a4e78">rmSemHandle</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned short&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structEDMA3__RM__Param.html#e0b670ea74b53074559f5ad4c5fe7366">regionInitEnable</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="structEDMA3__RM__GblErrCallbackParams.html">EDMA3_RM_GblErrCallbackParams</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structEDMA3__RM__Param.html#bafa6f546c9a5a893885f161d96ebe61">gblerrCbParams</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Used to Initialize the Resource Manager Instance. 
<p>
This configuration structure is used to initialize the EDMA3 RM Instance. This configuration information is passed while opening the RM instance. <hr><h2>Field Documentation</h2>
<a class="anchor" name="bafa6f546c9a5a893885f161d96ebe61"></a><!-- doxytag: member="EDMA3_RM_Param::gblerrCbParams" ref="bafa6f546c9a5a893885f161d96ebe61" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structEDMA3__RM__GblErrCallbackParams.html">EDMA3_RM_GblErrCallbackParams</a> <a class="el" href="structEDMA3__RM__Param.html#bafa6f546c9a5a893885f161d96ebe61">EDMA3_RM_Param::gblerrCbParams</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Instance wide Global Error callback parameters 
</div>
</div><p>
<a class="anchor" name="f8461561ef2a4b6f432c57394b89296a"></a><!-- doxytag: member="EDMA3_RM_Param::isMaster" ref="f8461561ef2a4b6f432c57394b89296a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned short <a class="el" href="structEDMA3__RM__Param.html#f8461561ef2a4b6f432c57394b89296a">EDMA3_RM_Param::isMaster</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
It tells whether the EDMA3 RM instance is Master or not. Only the shadow region associated with this master instance will receive the EDMA3 interrupts (if enabled). 
<p>Referenced by <a class="el" href="edma3resmgr_8c_source.html#l00957">EDMA3_RM_close()</a>, and <a class="el" href="edma3resmgr_8c_source.html#l00633">EDMA3_RM_open()</a>.</p>

</div>
</div><p>
<a class="anchor" name="5722cd299dd4712cdb9f7cf7aec869b6"></a><!-- doxytag: member="EDMA3_RM_Param::regionId" ref="5722cd299dd4712cdb9f7cf7aec869b6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__Edma3RMMain.html#g95ce8c6a9989cc4bbd29e0234e6ee5e4">EDMA3_RM_RegionId</a> <a class="el" href="structEDMA3__RM__Param.html#5722cd299dd4712cdb9f7cf7aec869b6">EDMA3_RM_Param::regionId</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Shadow Region Identification 
<p>Referenced by <a class="el" href="edma3resmgr_8c_source.html#l03707">EDMA3_RM_allocContiguousResource()</a>, <a class="el" href="edma3resmgr_8c_source.html#l01111">EDMA3_RM_allocResource()</a>, <a class="el" href="edma3resmgr_8c_source.html#l04708">EDMA3_RM_checkAndClearTcc()</a>, <a class="el" href="edma3resmgr_8c_source.html#l01718">EDMA3_RM_freeResource()</a>, <a class="el" href="edma3resmgr_8c_source.html#l00633">EDMA3_RM_open()</a>, and <a class="el" href="edma3resmgr_8c_source.html#l04572">EDMA3_RM_waitAndClearTcc()</a>.</p>

</div>
</div><p>
<a class="anchor" name="e0b670ea74b53074559f5ad4c5fe7366"></a><!-- doxytag: member="EDMA3_RM_Param::regionInitEnable" ref="e0b670ea74b53074559f5ad4c5fe7366" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned short <a class="el" href="structEDMA3__RM__Param.html#e0b670ea74b53074559f5ad4c5fe7366">EDMA3_RM_Param::regionInitEnable</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Whether initialization of Region Specific Registers is required or not? 
<p>Referenced by <a class="el" href="edma3resmgr_8c_source.html#l00633">EDMA3_RM_open()</a>.</p>

</div>
</div><p>
<a class="anchor" name="b4b422aad358309280f16027423df238"></a><!-- doxytag: member="EDMA3_RM_Param::rmInstInitConfig" ref="b4b422aad358309280f16027423df238" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structEDMA3__RM__InstanceInitConfig.html">EDMA3_RM_InstanceInitConfig</a>* <a class="el" href="structEDMA3__RM__Param.html#b4b422aad358309280f16027423df238">EDMA3_RM_Param::rmInstInitConfig</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
EDMA3 resources related shadow region specific information. Which all EDMA3 resources are owned and reserved by this particular instance are told in this configuration structure. User can also pass this structure as NULL. In that case, default static configuration would be taken from the platform specific configuration files (part of the Resource Manager), if available. 
<p>Referenced by <a class="el" href="edma3resmgr_8c_source.html#l03707">EDMA3_RM_allocContiguousResource()</a>, <a class="el" href="edma3resmgr_8c_source.html#l01111">EDMA3_RM_allocResource()</a>, <a class="el" href="edma3resmgr_8c_source.html#l02715">EDMA3_RM_freeLogicalChannel()</a>, <a class="el" href="edma3resmgr_8c_source.html#l01718">EDMA3_RM_freeResource()</a>, <a class="el" href="edma3resmgr_8c_source.html#l03072">EDMA3_RM_mapEdmaChannel()</a>, <a class="el" href="edma3resmgr_8c_source.html#l03229">EDMA3_RM_mapQdmaChannel()</a>, and <a class="el" href="edma3resmgr_8c_source.html#l00633">EDMA3_RM_open()</a>.</p>

</div>
</div><p>
<a class="anchor" name="5f6478d1cacf5b62e3039f37c82a4e78"></a><!-- doxytag: member="EDMA3_RM_Param::rmSemHandle" ref="5f6478d1cacf5b62e3039f37c82a4e78" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="structEDMA3__RM__Param.html#5f6478d1cacf5b62e3039f37c82a4e78">EDMA3_RM_Param::rmSemHandle</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
EDMA3 RM Instance specific semaphore handle. Used to share resources (DMA/QDMA channels, PaRAM Sets, TCCs etc) among different users. 
<p>Referenced by <a class="el" href="edma3resmgr_8c_source.html#l03707">EDMA3_RM_allocContiguousResource()</a>, <a class="el" href="edma3resmgr_8c_source.html#l01111">EDMA3_RM_allocResource()</a>, <a class="el" href="edma3resmgr_8c_source.html#l00633">EDMA3_RM_open()</a>, and <a class="el" href="edma3resmgr_8c_source.html#l04394">EDMA3_RM_setCCRegister()</a>.</p>

</div>
</div><p>
<hr>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="edma3__rm_8h_source.html">edma3_rm.h</a></ul>
</div>
<hr size="1"><address style="text-align: right;"><small>Generated on Tue Jul 7 19:26:49 2009 for EDMA3 Resource Manager by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.9 </small></address>
</body>
</html>
